Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# KlineakConfig Class Reference

`#include <klineakconfig.h>`

Inheritance diagram for KlineakConfig:

List of all members.

## Public Slots
virtual void | updateKeyList (int index)
virtual void | updateKeyList (const QString &inText)
virtual void | updateKeyboardModels (const QString &inText)
virtual void | onKeyListSelect (QListBoxItem *box)
virtual void | updateAvailableKeys (const QString &keyboard)
virtual void | updateCDRom (const QString &inText)
virtual void | updateMixer (const QString &inText)
virtual void | quit ()
virtual bool | onApplyButtonClicked ()
virtual void | slotToggleApp ()
virtual bool | hupLineakd ()
virtual bool | startLineakd ()
virtual bool | stopLineakd ()
## Public Methods
| KlineakConfig (QWidget *parent=0, const char *name=0)
| ~KlineakConfig ()
## Private Methods
bool | refreshGUIdata ()
bool | refresh_kbtypes ()
bool | refresh_cdromdev ()
bool | refresh_kbimage ()
bool | refresh_keylist ()
bool | refresh_keycommand (int i)
bool | refresh_specials ()
bool | is_special_action (const QString &command)
void | select_new_keyboard (const QString &ndata)
void | change_key_command (EAkey *thiskey, const QString &entrytext)
void | change_selectedkey_command (const QString &entrytext)
void | createBasic ()
## Private Attributes
bool | ApplyUsed
bool | changeMade
bool | changing_text_from_signal
int | selected_key
LineakParser | p
Klineak * | systemTrayApp
KStandardDirs * | resources
KIconLoader | load
EAKeyboard * | myEAK
KProcess | lineakd

## Detailed Description

KlineakConfig is the base class of the project

## Constructor & Destructor Documentation

KlineakConfig::KlineakConfig | ( | QWidget * | parent = 0,
|  | const char * | name = 0
| ) |

| construtor

KlineakConfig::~KlineakConfig | ( |  | ) |

| destructor

## Member Function Documentation

void KlineakConfig::change_key_command | ( | EAkey * | thiskey,
|  | const QString & | entrytext
| ) | `[private]`

void KlineakConfig::change_selectedkey_command | ( | const QString & | entrytext | ) | `[private]`

void KlineakConfig::createBasic | ( |  | ) | `[private]`

| Present the user with a choice of supported keyboards and get the keyboard type back as a return value.

virtual bool KlineakConfig::hupLineakd | ( |  | ) | `[virtual, slot]`

bool KlineakConfig::is_special_action | ( | const QString & | command | ) | `[private]`

virtual bool KlineakConfig::onApplyButtonClicked | ( |  | ) | `[virtual, slot]`

| Reimplemented from KlineakConfigUI.

virtual void KlineakConfig::onKeyListSelect | ( | QListBoxItem * | box | ) | `[virtual, slot]`

| Reimplemented from KlineakConfigUI.

virtual void KlineakConfig::quit | ( |  | ) | `[virtual, slot]`

| Reimplemented from KlineakConfigUI.

bool KlineakConfig::refresh_cdromdev | ( |  | ) | `[private]`

bool KlineakConfig::refresh_kbimage | ( |  | ) | `[private]`

bool KlineakConfig::refresh_kbtypes | ( |  | ) | `[private]`

bool KlineakConfig::refresh_keycommand | ( | int | i | ) | `[private]`

bool KlineakConfig::refresh_keylist | ( |  | ) | `[private]`

bool KlineakConfig::refresh_specials | ( |  | ) | `[private]`

bool KlineakConfig::refreshGUIdata | ( |  | ) | `[private]`

void KlineakConfig::select_new_keyboard | ( | const QString & | ndata | ) | `[private]`

virtual void KlineakConfig::slotToggleApp | ( |  | ) | `[virtual, slot]`

| Reimplemented from KlineakConfigUI.

virtual bool KlineakConfig::startLineakd | ( |  | ) | `[virtual, slot]`

virtual bool KlineakConfig::stopLineakd | ( |  | ) | `[virtual, slot]`

virtual void KlineakConfig::updateAvailableKeys | ( | const QString & | keyboard | ) | `[virtual, slot]`

| Reimplemented from KlineakConfigUI.

virtual void KlineakConfig::updateCDRom | ( | const QString & | inText | ) | `[virtual, slot]`

| Reimplemented from KlineakConfigUI.

virtual void KlineakConfig::updateKeyboardModels | ( | const QString & | inText | ) | `[virtual, slot]`

| Reimplemented from KlineakConfigUI.

virtual void KlineakConfig::updateKeyList | ( | const QString & | inText | ) | `[virtual, slot]`

| Reimplemented from KlineakConfigUI.

virtual void KlineakConfig::updateKeyList | ( | int | index | ) | `[virtual, slot]`

| Reimplemented from KlineakConfigUI.

virtual void KlineakConfig::updateMixer | ( | const QString & | inText | ) | `[virtual, slot]`

| Reimplemented from KlineakConfigUI.

## Member Data Documentation

bool KlineakConfig::ApplyUsed`[private]`

bool KlineakConfig::changeMade`[private]`

bool KlineakConfig::changing_text_from_signal`[private]`

KProcess KlineakConfig::lineakd`[private]`

KIconLoader KlineakConfig::load`[private]`

EAKeyboard* KlineakConfig::myEAK`[private]`

LineakParser KlineakConfig::p`[private]`

KStandardDirs* KlineakConfig::resources`[private]`

int KlineakConfig::selected_key`[private]`

Klineak* KlineakConfig::systemTrayApp`[private]`

The documentation for this class was generated from the following file:

- klineakconfig.h